From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/weasyprint/
Date: Wed, 3 Mar 2021 08:07:21 +0000 (UTC) [thread overview]
Message-ID: <1614758834.79535aabf00d3e143778eb8440fea9d1cf0aed05.mgorny@gentoo> (raw)
commit: 79535aabf00d3e143778eb8440fea9d1cf0aed05
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 3 07:39:32 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar 3 08:07:14 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79535aab
dev-python/weasyprint: Bump to 52.3
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/weasyprint/Manifest | 1 +
dev-python/weasyprint/weasyprint-52.3.ebuild | 51 ++++++++++++++++++++++++++++
2 files changed, 52 insertions(+)
diff --git a/dev-python/weasyprint/Manifest b/dev-python/weasyprint/Manifest
index 5b354afe8b6..c454743760c 100644
--- a/dev-python/weasyprint/Manifest
+++ b/dev-python/weasyprint/Manifest
@@ -1 +1,2 @@
DIST WeasyPrint-51.tar.gz 308411 BLAKE2B f88f9e1abc09986d51d92d8a153c71242cadc8ce6b8ac99a08d86746677d40a86affe3c56dd3e3e6a0eb2fc915f77036271f049f6ccc644d508be51d01d97b7c SHA512 631038bece7ac0c15c6a668a7d06137e4bccc049eb80484a153ca9c4a996256de8647428b21ed1d0c1607af3893c747a1956a3d3f012b30105ba4f8613a96fcd
+DIST WeasyPrint-52.3.tar.gz 325076 BLAKE2B 2981a487938d4ceefe20da36262438a64c30beaff340be6bd48b0140f63ea3971ca80a36386dde2db270e1555b137a89480673c4fdc2fa49079efdf58e53029b SHA512 7db740dd8f7264f73efe6e2505c603cedb1f8e5c053447b03517bdb003b933e1ef58f15482d4ab316b04b6631f9102752670f8b56989983cab80f7bd110746c9
diff --git a/dev-python/weasyprint/weasyprint-52.3.ebuild b/dev-python/weasyprint/weasyprint-52.3.ebuild
new file mode 100644
index 00000000000..db3c161e34a
--- /dev/null
+++ b/dev-python/weasyprint/weasyprint-52.3.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+MY_PN="WeasyPrint"
+MY_P="${MY_PN}-${PV}"
+DESCRIPTION="Visual rendering engine for HTML and CSS that can export to PDF"
+HOMEPAGE="https://weasyprint.org https://github.com/Kozea/WeasyPrint"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="jpeg tiff"
+
+# Note: specific subslot of pango since it inlines some of pango headers.
+# >=dev-python/lxml-3.0[${PYTHON_USEDEP}]
+RDEPEND="
+ >=dev-python/cairocffi-0.9[${PYTHON_USEDEP}]
+ >=dev-python/cffi-0.6:=[${PYTHON_USEDEP}]
+ >=dev-python/cssselect2-0.1[${PYTHON_USEDEP}]
+ >=dev-python/html5lib-0.999999999[${PYTHON_USEDEP}]
+ >=dev-python/pyphen-0.9.1[${PYTHON_USEDEP}]
+ >=dev-python/tinycss2-1.0.0[${PYTHON_USEDEP}]
+ >=media-gfx/cairosvg-2.4.0[${PYTHON_USEDEP}]
+ >=x11-libs/cairo-1.15.4
+ x11-libs/gdk-pixbuf[jpeg?,tiff?]
+ x11-libs/pango:0/0
+"
+
+BDEPEND="
+ test? (
+ media-fonts/ahem
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/pytest-runner/d' \
+ -e 's:--flake8 --isort::' \
+ -i setup.cfg || die
+ distutils-r1_src_prepare
+}
next reply other threads:[~2021-03-03 8:07 UTC|newest]
Thread overview: 82+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-03-03 8:07 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-16 10:05 [gentoo-commits] repo/gentoo:master commit in: dev-python/weasyprint/ Michał Górny
2024-11-16 9:47 Arthur Zamarin
2024-10-31 19:34 Arthur Zamarin
2024-10-30 16:41 Michał Górny
2024-07-06 8:33 Michał Górny
2024-07-06 6:39 Sam James
2024-06-25 7:27 Petr Vaněk
2024-06-22 17:52 Michał Górny
2024-06-22 17:18 Sam James
2024-06-22 5:33 Michał Górny
2024-06-05 4:51 Michał Górny
2024-05-22 11:58 Michał Górny
2024-05-22 11:40 Michał Górny
2024-05-07 1:57 Michał Górny
2024-05-01 4:34 Michał Górny
2024-03-23 11:58 Michał Górny
2024-03-23 11:53 Michał Górny
2024-03-09 7:18 Michał Górny
2024-03-07 15:59 Michał Górny
2024-02-26 17:48 Michał Górny
2024-02-13 4:27 Michał Górny
2023-12-30 14:26 Arthur Zamarin
2023-12-11 17:42 Michał Górny
2023-10-28 18:24 Michał Górny
2023-10-28 16:48 Arthur Zamarin
2023-10-27 16:21 Michał Górny
2023-09-29 19:15 Arthur Zamarin
2023-09-26 4:42 Michał Górny
2023-06-11 16:15 Michał Górny
2023-06-11 13:46 Sam James
2023-05-11 17:58 Michał Górny
2023-03-25 5:02 Michał Górny
2023-03-24 20:26 Arthur Zamarin
2023-03-08 4:44 Michał Górny
2023-02-21 8:00 Michał Górny
2023-02-21 8:00 Michał Górny
2023-02-20 23:28 Sam James
2023-02-17 18:51 Michał Górny
2023-01-18 11:15 Michał Górny
2022-12-24 7:41 Michał Górny
2022-11-30 20:49 Arthur Zamarin
2022-11-14 5:07 Michał Górny
2022-11-05 14:34 Michał Górny
2022-11-04 18:06 Arthur Zamarin
2022-11-04 18:06 Arthur Zamarin
2022-10-19 3:49 Michał Górny
2022-10-02 3:15 Sam James
2022-10-01 8:33 Sam James
2022-07-25 7:12 Michał Górny
2022-07-08 7:40 Arthur Zamarin
2022-06-16 8:10 Michał Górny
2022-05-21 9:24 Michał Górny
2022-05-21 9:24 Michał Górny
2022-05-16 13:30 Michał Górny
2022-04-05 7:53 Michał Górny
2022-02-28 8:28 Michał Górny
2022-01-08 16:57 Arthur Zamarin
2021-11-14 20:53 Michał Górny
2021-10-17 9:44 Michał Górny
2021-09-11 7:15 Michał Górny
2021-08-28 6:54 Michał Górny
2021-08-07 14:07 Michał Górny
2021-08-07 14:07 Michał Górny
2021-08-07 14:07 Michał Górny
2021-08-07 14:07 Michał Górny
2021-08-01 8:17 Michał Górny
2021-04-18 7:05 Michał Górny
2021-03-11 22:59 Michał Górny
2020-10-16 18:22 Michał Górny
2019-12-28 16:16 David Seifert
2019-08-28 8:19 David Seifert
2019-03-01 0:26 Aaron Bauman
2018-11-17 3:49 Virgil Dupras
2018-11-17 3:49 Virgil Dupras
2018-02-07 6:37 Thomas Deutschmann
2018-01-06 13:39 Michał Górny
2017-11-08 7:08 Patrick Lauer
2017-09-18 18:11 Patrick Lauer
2017-07-07 9:36 Aaron Swenson
2016-06-29 9:50 Patrick Lauer
2016-03-01 19:46 Patrick Lauer
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1614758834.79535aabf00d3e143778eb8440fea9d1cf0aed05.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox